<template>
  <div class="main">
    <div class="main_tabs">
      <el-tabs v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="安全积分超市" name="first">
                <score-supermarket ref="market"></score-supermarket> 
            </el-tab-pane>
            <el-tab-pane label="积分明细" name="second">
                <score-details ref="details"></score-details>
            </el-tab-pane>
        </el-tabs>
    </div>
  </div>
</template>
<script>
import ScoreSupermarket from './components/ScoreMarket.vue'//安全积分超市
import ScoreDetails from './components/ScoreDetails.vue'//入库记录
export default {
    components:{
        ScoreSupermarket,
        ScoreDetails,
    },
    data(){
        return{
            activeName:'first'
        }
    },
    mounted(){
        this.$refs.market.searchButtonInfo(true);
    },
    methods:{
        //切换界面
        handleClick(tab){
            switch(tab.name){
                case 'second':
                    this.$refs.details.searchButtonInfo(true);
                    break;
                default:
                    this.$refs.market.searchButtonInfo(true);
            }
        },
    }
}
</script>
<style scoped lang="scss">
@import'@/style/layout-main.scss';
/deep/ .el-tabs__content{
    position: static;
}

/deep/.main {
  background: none;
}
</style>